Loading...
Searching...
No Matches
MainWindow Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for MainWindow:

## Public Member Functions

| MainWindow (gx_engine::GxMachineBase &machine, gx_system::CmdlineOptions &options, NsmSignals &nsmsig, GxTheme &theme, Gtk::Window *splash, const Glib::ustring &title)
| ~MainWindow ()
PluginUI * | get_plugin (const std::string &name)
PluginDict::iterator | plugins_begin ()
PluginDict::iterator | plugins_end ()
void | run ()
gx_system::CmdlineOptions & | get_options ()
gx_engine::GxMachineBase & | get_machine ()
void | set_rackbox_expansion ()
bool | use_animations ()
void | create_default_scratch_preset ()
void | update_width ()

## Public Attributes

Glib::RefPtr< Gtk::SizeGroup > | left_column

## Private Member Functions

bool | on_my_leave_out (GdkEventCrossing *focus)
bool | on_my_enter_in (GdkEventCrossing *focus)
void | maybe_shrink_horizontally (bool preset_no_rack=false)
void | on_show_tuner ()
void | on_move_tuner ()
void | on_midiout_tuner ()
bool | is_variable_size ()
void | maybe_change_resizable (void)
void | on_show_rack ()
void | on_preset_action ()
void | on_compress_all ()
void | on_expand_all ()
void | on_show_plugin_bar ()
void | on_rack_configuration ()
void | set_tooltips ()
void | set_animations ()
void | move_widget (Gtk::Widget &w, Gtk::Box &b1, Gtk::Box &b2)
int | rackbox_stacked_vertical () const
void | change_expand (Gtk::Widget &w, bool value)
void | on_dir_changed ()
void | on_configure_event (GdkEventConfigure *ev)
void | clear_box (Gtk::Container &box)
void | on_show_values ()
void | create_actions ()
bool | on_visibility_notify (GdkEventVisibility *ev)
void | on_live_play ()
void | jack_connection ()
void | on_miditable_toggle ()
void | on_portmap_activate ()
void | on_portmap_response (int)
bool | connect_jack (bool v, Gtk::Window *splash=0)
int | start_jack ()
void | add_skin_menu ()
void | change_skin (const Glib::VariantBase &value)
void | on_jack_client_changed ()
void | add_latency_menu ()
void | change_latency (const Glib::VariantBase &value)
void | user_disable_latency_warn (Gtk::CheckButton *disable_warn)
int | gx_wait_latency_warn ()
void | set_latency ()
void | set_osc_size ()
void | add_osc_size_menu ()
void | change_osc_buffer (const Glib::VariantBase &value)
void | on_select_jack_control ()
void | on_load_ladspa ()
void | delete_select_jack_control ()
void | on_select_midi_channel ()
void | delete_select_midi_channel ()
void | on_log_activate ()
bool | on_log_activated (GdkEventButton *ev)
bool | on_log_scrolled (GdkEventScroll *ev)
void | on_engine_toggled ()
void | on_engine_state_change (gx_engine::GxEngineState state)
void | set_tuning (Gxw::RackTuner &tuner)
void | set_tuner_tet (Gxw::RackTuner &tuner)
void | set_tuner_ref (Gxw::RackTuner &tuner)
void | setup_tuner_temperament (Gxw::RackTuner &tuner)
void | setup_tuner (Gxw::RackTuner &tuner)
bool | on_toggle_mute (GdkEventButton *ev)
bool | on_scroll_toggle (GdkEventScroll *ev)
bool | on_toggle_insert (GdkEventButton *ev)
bool | on_scroll_toggle_insert (GdkEventScroll *ev)
void | on_insert_jack_changed (bool s)
bool | on_jackserverconnection (GdkEventButton *ev)
bool | on_jackserverconnection_scroll (GdkEventScroll *ev)
void | on_msg_level_changed ()
void | on_ampdetail_switch (bool compress, bool setparam)
bool | refresh_meter_level (float falloff)
bool | survive_jack_shutdown ()
void | gx_jack_is_down ()
void | jack_session_event ()
void | jack_session_event_ins ()
void | set_in_session ()
void | hide_extended_settings ()
void | systray_menu (guint button, guint32 activate_time)
bool | on_window_state_changed (GdkEventWindowState *event)
bool | on_meter_button_release (GdkEventButton *ev)
void | show_selected_preset ()
void | on_select_preset (const Glib::VariantBase &value)
void | on_next_preset ()
void | on_previus_preset ()
void | set_next_preset_controller ()
void | set_previus_preset_controller ()
void | set_switcher_controller ()
void | set_bypass_controller ()
void | set_vpaned_handle ()
void | add_preset_key_accelerators ()
void | rebuild_preset_menu ()
bool | on_key_press_event (GdkEventKey *event)
void | display_preset_msg (const Glib::ustring &bank, const Glib::ustring &preset)
void | on_livetuner_toggled ()
void | on_ladspa_finished (bool reload, bool quit)
bool | delete_ladspalist_window ()
bool | on_quit ()
void | on_nsm_quit ()
void | on_nsm_save ()
void | amp_controls_visible (Gtk::Range *rr)
void | gx_show_help ()
void | show_forum_help ()
void | gx_show_tonehunt ()
void | show_tonehunt ()
void | gx_show_rtneural ()
void | show_rtneural ()
void | set_midiout ()

## Private Attributes

gx_system::CmdlineOptions & | options
gx_engine::GxMachineBase & | machine
NsmSignals & | nsmsig
GxTheme & | theme
MainWindowBuilder | bld
Freezer | freezer
Glib::RefPtr< Gdk::Pixbuf > | gx_head_icon
gx_gui::StackBoxBuilder | boxbuilder
UIManager | uimanager
GxActions | actions
PluginDict | plugin_dict
int | oldpos
int | scrl_size_x
int | scrl_size_y
int | pre_act
int | pool_act
bool | is_visible
Glib::ustring | preset_list_menu_bank
Liveplay * | live_play
PresetWindow * | preset_window
gx_portmap::PortMapWindow * | portmap_window
gx_gui::SelectJackControlPgm * | select_jack_control
SelectMidiChannel * | select_midi_channel
TextLoggingBox | fLoggingWindow
GxUiRadioMenu | amp_radio_menu
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_insert_on
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_insert_off
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_on
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_off
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_bypass
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_jack_connected
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_jack_disconnected
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_log_grey
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_log_yellow
Glib::RefPtr< Gdk::Pixbuf > | pixbuf_log_red
bool | in_session
Glib::RefPtr< Gtk::StatusIcon > | status_icon
KeySwitcher | keyswitch
ladspa::PluginDisplay * | ladspalist_window

## Detailed Description

Definition at line 832 of file gx_main_window.h.

## Constructor & Destructor Documentation

## MainWindow()

MainWindow::MainWindow | ( | gx_engine::GxMachineBase & | machine,
|  | gx_system::CmdlineOptions & | options,
|  | NsmSignals & | nsmsig,
|  | GxTheme & | theme,
|  | Gtk::Window * | splash,
|  | const Glib::ustring & | title )

## ~MainWindow()

MainWindow::~MainWindow | ( |  | ) |

## Member Function Documentation

## add_latency_menu()

void MainWindow::add_latency_menu | ( |  | ) |

private

## add_osc_size_menu()

void MainWindow::add_osc_size_menu | ( |  | ) |

private

## add_preset_key_accelerators()

void MainWindow::add_preset_key_accelerators | ( |  | ) |

private

## add_skin_menu()

void MainWindow::add_skin_menu | ( |  | ) |

private

## amp_controls_visible()

void MainWindow::amp_controls_visible | ( | Gtk::Range * | rr | ) |

private

## change_expand()

void MainWindow::change_expand | ( | Gtk::Widget & | w,
|  | bool | value )

private

## change_latency()

void MainWindow::change_latency | ( | const Glib::VariantBase & | value | ) |

private

## change_osc_buffer()

void MainWindow::change_osc_buffer | ( | const Glib::VariantBase & | value | ) |

private

## change_skin()

void MainWindow::change_skin | ( | const Glib::VariantBase & | value | ) |

private

## clear_box()

void MainWindow::clear_box | ( | Gtk::Container & | box | ) |

private

## connect_jack()

bool MainWindow::connect_jack | ( | bool | v,
|  | Gtk::Window * | splash = 0 )

private

## create_actions()

void MainWindow::create_actions | ( |  | ) |

private

## create_default_scratch_preset()

void MainWindow::create_default_scratch_preset | ( |  | ) |

inline

Definition at line 992 of file gx_main_window.h.

## delete_ladspalist_window()

bool MainWindow::delete_ladspalist_window | ( |  | ) |

private

## delete_select_jack_control()

void MainWindow::delete_select_jack_control | ( |  | ) |

private

## delete_select_midi_channel()

void MainWindow::delete_select_midi_channel | ( |  | ) |

private

## display_preset_msg()

void MainWindow::display_preset_msg | ( | const Glib::ustring & | bank,
|  | const Glib::ustring & | preset )

private

## get_machine()

gx_engine::GxMachineBase & MainWindow::get_machine | ( |  | ) |

inline

Definition at line 989 of file gx_main_window.h.

## get_options()

gx_system::CmdlineOptions & MainWindow::get_options | ( |  | ) |

inline

Definition at line 988 of file gx_main_window.h.

## get_plugin()

PluginUI * MainWindow::get_plugin | ( | const std::string & | name | ) |

inline

Definition at line 984 of file gx_main_window.h.

## gx_jack_is_down()

void MainWindow::gx_jack_is_down | ( |  | ) |

private

## gx_show_help()

void MainWindow::gx_show_help | ( |  | ) |

private

## gx_show_rtneural()

void MainWindow::gx_show_rtneural | ( |  | ) |

private

## gx_show_tonehunt()

void MainWindow::gx_show_tonehunt | ( |  | ) |

private

## gx_wait_latency_warn()

int MainWindow::gx_wait_latency_warn | ( |  | ) |

private

## hide_extended_settings()

void MainWindow::hide_extended_settings | ( |  | ) |

private

## is_variable_size()

bool MainWindow::is_variable_size | ( |  | ) |

private

## jack_connection()

void MainWindow::jack_connection | ( |  | ) |

private

## jack_session_event()

void MainWindow::jack_session_event | ( |  | ) |

private

## jack_session_event_ins()

void MainWindow::jack_session_event_ins | ( |  | ) |

private

## maybe_change_resizable()

void MainWindow::maybe_change_resizable | ( | void |  | ) |

private

## maybe_shrink_horizontally()

void MainWindow::maybe_shrink_horizontally | ( | bool | preset_no_rack = false | ) |

private

## move_widget()

void MainWindow::move_widget | ( | Gtk::Widget & | w,
|  | Gtk::Box & | b1,
|  | Gtk::Box & | b2 )

private

## on_ampdetail_switch()

void MainWindow::on_ampdetail_switch | ( | bool | compress,
|  | bool | setparam )

private

## on_compress_all()

void MainWindow::on_compress_all | ( |  | ) |

private

## on_configure_event()

void MainWindow::on_configure_event | ( | GdkEventConfigure * | ev | ) |

private

## on_dir_changed()

void MainWindow::on_dir_changed | ( |  | ) |

private

## on_engine_state_change()

void MainWindow::on_engine_state_change | ( | gx_engine::GxEngineState | state | ) |

private

## on_engine_toggled()

void MainWindow::on_engine_toggled | ( |  | ) |

private

## on_expand_all()

void MainWindow::on_expand_all | ( |  | ) |

private

## on_insert_jack_changed()

void MainWindow::on_insert_jack_changed | ( | bool | s | ) |

private

## on_jack_client_changed()

void MainWindow::on_jack_client_changed | ( |  | ) |

private

## on_jackserverconnection()

bool MainWindow::on_jackserverconnection | ( | GdkEventButton * | ev | ) |

private

## on_jackserverconnection_scroll()

bool MainWindow::on_jackserverconnection_scroll | ( | GdkEventScroll * | ev | ) |

private

## on_key_press_event()

bool MainWindow::on_key_press_event | ( | GdkEventKey * | event | ) |

private

## on_ladspa_finished()

void MainWindow::on_ladspa_finished | ( | bool | reload,
|  | bool | quit )

private

## on_live_play()

void MainWindow::on_live_play | ( |  | ) |

private

## on_livetuner_toggled()

void MainWindow::on_livetuner_toggled | ( |  | ) |

private

## on_load_ladspa()

void MainWindow::on_load_ladspa | ( |  | ) |

private

## on_log_activate()

void MainWindow::on_log_activate | ( |  | ) |

private

## on_log_activated()

bool MainWindow::on_log_activated | ( | GdkEventButton * | ev | ) |

private

## on_log_scrolled()

bool MainWindow::on_log_scrolled | ( | GdkEventScroll * | ev | ) |

private

## on_meter_button_release()

bool MainWindow::on_meter_button_release | ( | GdkEventButton * | ev | ) |

private

## on_midiout_tuner()

void MainWindow::on_midiout_tuner | ( |  | ) |

private

## on_miditable_toggle()

void MainWindow::on_miditable_toggle | ( |  | ) |

private

## on_move_tuner()

void MainWindow::on_move_tuner | ( |  | ) |

private

## on_msg_level_changed()

void MainWindow::on_msg_level_changed | ( |  | ) |

private

## on_my_enter_in()

bool MainWindow::on_my_enter_in | ( | GdkEventCrossing * | focus | ) |

private

## on_my_leave_out()

bool MainWindow::on_my_leave_out | ( | GdkEventCrossing * | focus | ) |

private

## on_next_preset()

void MainWindow::on_next_preset | ( |  | ) |

private

## on_nsm_quit()

void MainWindow::on_nsm_quit | ( |  | ) |

private

## on_nsm_save()

void MainWindow::on_nsm_save | ( |  | ) |

private

## on_portmap_activate()

void MainWindow::on_portmap_activate | ( |  | ) |

private

## on_portmap_response()

void MainWindow::on_portmap_response | ( | int |  | ) |

private

## on_preset_action()

void MainWindow::on_preset_action | ( |  | ) |

private

## on_previus_preset()

void MainWindow::on_previus_preset | ( |  | ) |

private

## on_quit()

bool MainWindow::on_quit | ( |  | ) |

private

## on_rack_configuration()

void MainWindow::on_rack_configuration | ( |  | ) |

private

## on_scroll_toggle()

bool MainWindow::on_scroll_toggle | ( | GdkEventScroll * | ev | ) |

private

## on_scroll_toggle_insert()

bool MainWindow::on_scroll_toggle_insert | ( | GdkEventScroll * | ev | ) |

private

## on_select_jack_control()

void MainWindow::on_select_jack_control | ( |  | ) |

private

## on_select_midi_channel()

void MainWindow::on_select_midi_channel | ( |  | ) |

private

## on_select_preset()

void MainWindow::on_select_preset | ( | const Glib::VariantBase & | value | ) |

private

## on_show_plugin_bar()

void MainWindow::on_show_plugin_bar | ( |  | ) |

private

## on_show_rack()

void MainWindow::on_show_rack | ( |  | ) |

private

## on_show_tuner()

void MainWindow::on_show_tuner | ( |  | ) |

private

## on_show_values()

void MainWindow::on_show_values | ( |  | ) |

private

## on_toggle_insert()

bool MainWindow::on_toggle_insert | ( | GdkEventButton * | ev | ) |

private

## on_toggle_mute()

bool MainWindow::on_toggle_mute | ( | GdkEventButton * | ev | ) |

private

## on_visibility_notify()

bool MainWindow::on_visibility_notify | ( | GdkEventVisibility * | ev | ) |

private

## on_window_state_changed()

bool MainWindow::on_window_state_changed | ( | GdkEventWindowState * | event | ) |

private

## plugins_begin()

PluginDict::iterator MainWindow::plugins_begin | ( |  | ) |

inline

Definition at line 985 of file gx_main_window.h.

## plugins_end()

PluginDict::iterator MainWindow::plugins_end | ( |  | ) |

inline

Definition at line 986 of file gx_main_window.h.

## rackbox_stacked_vertical()

int MainWindow::rackbox_stacked_vertical | ( |  | ) | const

private

## rebuild_preset_menu()

void MainWindow::rebuild_preset_menu | ( |  | ) |

private

## refresh_meter_level()

bool MainWindow::refresh_meter_level | ( | float | falloff | ) |

private

## run()

void MainWindow::run | ( |  | ) |

## set_animations()

void MainWindow::set_animations | ( |  | ) |

private

## set_bypass_controller()

void MainWindow::set_bypass_controller | ( |  | ) |

private

## set_in_session()

void MainWindow::set_in_session | ( |  | ) |

private

## set_latency()

void MainWindow::set_latency | ( |  | ) |

private

## set_midiout()

void MainWindow::set_midiout | ( |  | ) |

private

## set_next_preset_controller()

void MainWindow::set_next_preset_controller | ( |  | ) |

private

## set_osc_size()

void MainWindow::set_osc_size | ( |  | ) |

private

## set_previus_preset_controller()

void MainWindow::set_previus_preset_controller | ( |  | ) |

private

## set_rackbox_expansion()

void MainWindow::set_rackbox_expansion | ( |  | ) |

## set_switcher_controller()

void MainWindow::set_switcher_controller | ( |  | ) |

private

## set_tooltips()

void MainWindow::set_tooltips | ( |  | ) |

private

## set_tuner_ref()

void MainWindow::set_tuner_ref | ( | Gxw::RackTuner & | tuner | ) |

private

## set_tuner_tet()

void MainWindow::set_tuner_tet | ( | Gxw::RackTuner & | tuner | ) |

private

## set_tuning()

void MainWindow::set_tuning | ( | Gxw::RackTuner & | tuner | ) |

private

## set_vpaned_handle()

void MainWindow::set_vpaned_handle | ( |  | ) |

private

## setup_tuner()

void MainWindow::setup_tuner | ( | Gxw::RackTuner & | tuner | ) |

private

## setup_tuner_temperament()

void MainWindow::setup_tuner_temperament | ( | Gxw::RackTuner & | tuner | ) |

private

## show_forum_help()

void MainWindow::show_forum_help | ( |  | ) |

private

## show_rtneural()

void MainWindow::show_rtneural | ( |  | ) |

private

## show_selected_preset()

void MainWindow::show_selected_preset | ( |  | ) |

private

## show_tonehunt()

void MainWindow::show_tonehunt | ( |  | ) |

private

## start_jack()

int MainWindow::start_jack | ( |  | ) |

private

## survive_jack_shutdown()

bool MainWindow::survive_jack_shutdown | ( |  | ) |

private

## systray_menu()

void MainWindow::systray_menu | ( | guint | button,
|  | guint32 | activate_time )

private

## update_width()

void MainWindow::update_width | ( |  | ) |

## use_animations()

bool MainWindow::use_animations | ( |  | ) |

inline

Definition at line 991 of file gx_main_window.h.

## user_disable_latency_warn()

void MainWindow::user_disable_latency_warn | ( | Gtk::CheckButton * | disable_warn | ) |

private

## Member Data Documentation

## actions

GxActions MainWindow::actions

private

Definition at line 843 of file gx_main_window.h.

Referenced by use_animations().

## amp_radio_menu

GxUiRadioMenu MainWindow::amp_radio_menu

private

Definition at line 858 of file gx_main_window.h.

## bld

MainWindowBuilder MainWindow::bld

private

Definition at line 838 of file gx_main_window.h.

## boxbuilder

gx_gui::StackBoxBuilder MainWindow::boxbuilder

private

Definition at line 841 of file gx_main_window.h.

## fLoggingWindow

TextLoggingBox MainWindow::fLoggingWindow

private

Definition at line 857 of file gx_main_window.h.

## freezer

Freezer MainWindow::freezer

private

Definition at line 839 of file gx_main_window.h.

## gx_head_icon

Glib::RefPtr<Gdk::Pixbuf> MainWindow::gx_head_icon

private

Definition at line 840 of file gx_main_window.h.

## in_session

bool MainWindow::in_session

private

Definition at line 869 of file gx_main_window.h.

## is_visible

bool MainWindow::is_visible

private

Definition at line 850 of file gx_main_window.h.

## keyswitch

KeySwitcher MainWindow::keyswitch

private

Definition at line 871 of file gx_main_window.h.

## ladspalist_window

ladspa::PluginDisplay* MainWindow::ladspalist_window

private

Definition at line 872 of file gx_main_window.h.

## left_column

Glib::RefPtr<Gtk::SizeGroup> MainWindow::left_column

Definition at line 980 of file gx_main_window.h.

## live_play

Liveplay* MainWindow::live_play

private

Definition at line 852 of file gx_main_window.h.

## machine

gx_engine::GxMachineBase& MainWindow::machine

private

Definition at line 835 of file gx_main_window.h.

Referenced by create_default_scratch_preset(), get_machine(), and MainWindow().

## nsmsig

NsmSignals& MainWindow::nsmsig

private

Definition at line 836 of file gx_main_window.h.

Referenced by MainWindow().

## oldpos

int MainWindow::oldpos

private

Definition at line 845 of file gx_main_window.h.

## options

gx_system::CmdlineOptions& MainWindow::options

private

Definition at line 834 of file gx_main_window.h.

Referenced by get_options(), and MainWindow().

## pixbuf_bypass

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_bypass

private

Definition at line 863 of file gx_main_window.h.

## pixbuf_insert_off

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_insert_off

private

Definition at line 860 of file gx_main_window.h.

## pixbuf_insert_on

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_insert_on

private

Definition at line 859 of file gx_main_window.h.

## pixbuf_jack_connected

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_jack_connected

private

Definition at line 864 of file gx_main_window.h.

## pixbuf_jack_disconnected

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_jack_disconnected

private

Definition at line 865 of file gx_main_window.h.

## pixbuf_log_grey

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_log_grey

private

Definition at line 866 of file gx_main_window.h.

## pixbuf_log_red

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_log_red

private

Definition at line 868 of file gx_main_window.h.

## pixbuf_log_yellow

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_log_yellow

private

Definition at line 867 of file gx_main_window.h.

## pixbuf_off

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_off

private

Definition at line 862 of file gx_main_window.h.

## pixbuf_on

Glib::RefPtr<Gdk::Pixbuf> MainWindow::pixbuf_on

private

Definition at line 861 of file gx_main_window.h.

## plugin_dict

PluginDict MainWindow::plugin_dict

private

Definition at line 844 of file gx_main_window.h.

Referenced by get_plugin(), plugins_begin(), and plugins_end().

## pool_act

int MainWindow::pool_act

private

Definition at line 849 of file gx_main_window.h.

## portmap_window

gx_portmap::PortMapWindow* MainWindow::portmap_window

private

Definition at line 854 of file gx_main_window.h.

## pre_act

int MainWindow::pre_act

private

Definition at line 848 of file gx_main_window.h.

## preset_list_menu_bank

Glib::ustring MainWindow::preset_list_menu_bank

private

Definition at line 851 of file gx_main_window.h.

## preset_window

PresetWindow* MainWindow::preset_window

private

Definition at line 853 of file gx_main_window.h.

## scrl_size_x

int MainWindow::scrl_size_x

private

Definition at line 846 of file gx_main_window.h.

## scrl_size_y

int MainWindow::scrl_size_y

private

Definition at line 847 of file gx_main_window.h.

## select_jack_control

gx_gui::SelectJackControlPgm* MainWindow::select_jack_control

private

Definition at line 855 of file gx_main_window.h.

## select_midi_channel

SelectMidiChannel* MainWindow::select_midi_channel

private

Definition at line 856 of file gx_main_window.h.

## status_icon

Glib::RefPtr<Gtk::StatusIcon> MainWindow::status_icon

private

Definition at line 870 of file gx_main_window.h.

## theme

GxTheme& MainWindow::theme

private

Definition at line 837 of file gx_main_window.h.

Referenced by MainWindow().

## uimanager

UIManager MainWindow::uimanager

private

Definition at line 842 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h